diff -upr ioquake3svn1438/code/cgame/cg_servercmds.c ioquake3serverFix/code/cgame/cg_servercmds.c
--- ioquake3svn1438/code/cgame/cg_servercmds.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_servercmds.c	2008-08-09 11:28:23.000000000 -0500
@@ -25,7 +25,7 @@ Foundation, Inc., 51 Franklin St, Fifth 
 // be a valid snapshot this frame
 
 #include "cg_local.h"
-#include "../../ui/menudef.h" // bk001205 - for Q3_ui as well
+#include "../../ui/menudef.h"
 
 typedef struct {
 	const char *order;
@@ -46,7 +46,7 @@ static const orderTask_t validOrders[] =
 
 static const int numValidOrders = sizeof(validOrders) / sizeof(orderTask_t);
 
-#ifdef MISSIONPACK // bk001204
+#ifdef MISSIONPACK
 static int CG_ValidOrder(const char *p) {
 	int i;
 	for (i = 0; i < numValidOrders; i++) {
@@ -75,45 +75,29 @@ static void CG_ParseScores( void ) {
 	cg.teamScores[0] = atoi( CG_Argv( 2 ) );
 	cg.teamScores[1] = atoi( CG_Argv( 3 ) );
 
-	cgs.roundStartTime = atoi( CG_Argv( 4 ) );
-
-	//Update thing in lower-right corner
-	if(cgs.gametype == GT_ELIMINATION || cgs.gametype == GT_CTF_ELIMINATION)
-	{
-		cgs.scores1 = cg.teamScores[0];
-		cgs.scores2 = cg.teamScores[1];
-	}
-
 	memset( cg.scores, 0, sizeof( cg.scores ) );
-
-#define NUM_DATA 15
-#define FIRST_DATA 4
-
 	for ( i = 0 ; i < cg.numScores ; i++ ) {
 		//
-		cg.scores[i].client = atoi( CG_Argv( i * NUM_DATA + FIRST_DATA + 1 ) );
-		cg.scores[i].score = atoi( CG_Argv( i * NUM_DATA + FIRST_DATA + 2 ) );
-		cg.scores[i].ping = atoi( CG_Argv( i * NUM_DATA + FIRST_DATA + 3 ) );
-		cg.scores[i].time = atoi( CG_Argv( i * NUM_DATA + FIRST_DATA + 4 ) );
-		cg.scores[i].scoreFlags = atoi( CG_Argv( i * NUM_DATA + FIRST_DATA + 5 ) );
-		powerups = atoi( CG_Argv( i * NUM_DATA + FIRST_DATA + 6 ) );
-		cg.scores[i].accuracy = atoi(CG_Argv(i * NUM_DATA + FIRST_DATA + 7));
-		cg.scores[i].impressiveCount = atoi(CG_Argv(i * NUM_DATA + FIRST_DATA + 8));
-		cg.scores[i].excellentCount = atoi(CG_Argv(i * NUM_DATA + FIRST_DATA + 9));
-		cg.scores[i].guantletCount = atoi(CG_Argv(i * NUM_DATA + FIRST_DATA + 10));
-		cg.scores[i].defendCount = atoi(CG_Argv(i * NUM_DATA + FIRST_DATA + 11));
-		cg.scores[i].assistCount = atoi(CG_Argv(i * NUM_DATA + FIRST_DATA + 12));
-		cg.scores[i].perfect = atoi(CG_Argv(i * NUM_DATA + FIRST_DATA + 13));
-		cg.scores[i].captures = atoi(CG_Argv(i * NUM_DATA + FIRST_DATA + 14));
-		cg.scores[i].isDead = atoi(CG_Argv(i * NUM_DATA + FIRST_DATA + 15));
-		//cgs.roundStartTime = 
+		cg.scores[i].client = atoi( CG_Argv( i * 14 + 4 ) );
+		cg.scores[i].score = atoi( CG_Argv( i * 14 + 5 ) );
+		cg.scores[i].ping = atoi( CG_Argv( i * 14 + 6 ) );
+		cg.scores[i].time = atoi( CG_Argv( i * 14 + 7 ) );
+		cg.scores[i].scoreFlags = atoi( CG_Argv( i * 14 + 8 ) );
+		powerups = atoi( CG_Argv( i * 14 + 9 ) );
+		cg.scores[i].accuracy = atoi(CG_Argv(i * 14 + 10));
+		cg.scores[i].impressiveCount = atoi(CG_Argv(i * 14 + 11));
+		cg.scores[i].excellentCount = atoi(CG_Argv(i * 14 + 12));
+		cg.scores[i].guantletCount = atoi(CG_Argv(i * 14 + 13));
+		cg.scores[i].defendCount = atoi(CG_Argv(i * 14 + 14));
+		cg.scores[i].assistCount = atoi(CG_Argv(i * 14 + 15));
+		cg.scores[i].perfect = atoi(CG_Argv(i * 14 + 16));
+		cg.scores[i].captures = atoi(CG_Argv(i * 14 + 17));
 
 		if ( cg.scores[i].client < 0 || cg.scores[i].client >= MAX_CLIENTS ) {
 			cg.scores[i].client = 0;
 		}
 		cgs.clientinfo[ cg.scores[i].client ].score = cg.scores[i].score;
 		cgs.clientinfo[ cg.scores[i].client ].powerups = powerups;
-		cgs.clientinfo[ cg.scores[i].client ].isDead = cg.scores[i].isDead;
 
 		cg.scores[i].team = cgs.clientinfo[cg.scores[i].client].team;
 	}
@@ -125,85 +109,6 @@ static void CG_ParseScores( void ) {
 
 /*
 =================
-CG_ParseElimination
-
-=================
-*/
-static void CG_ParseElimination( void ) {
-	if(cgs.gametype == GT_ELIMINATION || cgs.gametype == GT_CTF_ELIMINATION)
-	{
-		cgs.scores1 = atoi( CG_Argv( 1 ) );
-		cgs.scores2 = atoi( CG_Argv( 2 ) );
-	}
-	cgs.roundStartTime = atoi( CG_Argv( 3 ) );
-}
-
-/*
-=================
-CG_ParseDDtimetaken
-
-=================
-*/
-static void CG_ParseDDtimetaken( void ) {
-	cgs.timetaken = atoi( CG_Argv( 1 ) );
-}
-
-/*
-=================
-CG_ParseDomPointNames
-=================
-*/
-
-static void CG_ParseDomPointNames( void ) {
-	int i,j;
-	cgs.domination_points_count = atoi( CG_Argv( 1 ) );
-	if(cgs.domination_points_count>=MAX_DOMINATION_POINTS)
-		cgs.domination_points_count = MAX_DOMINATION_POINTS;
-	for(i = 0;i<cgs.domination_points_count;i++) {
-		Q_strncpyz(cgs.domination_points_names[i],CG_Argv(2)+i*MAX_DOMINATION_POINTS_NAMES,MAX_DOMINATION_POINTS_NAMES-1);
-		for(j=MAX_DOMINATION_POINTS_NAMES-1; cgs.domination_points_names[i][j] < '0' && j>0; j--) {
-			cgs.domination_points_names[i][j] = 0;
-		}
-	}
-}
-
-/*
-=================
-CG_ParseDomScores
-=================
-*/
-
-static void CG_ParseDomStatus( void ) {
-	int i;
-	if( cgs.domination_points_count!=atoi( CG_Argv(1) ) ) {
-		cgs.domination_points_count = 0;
-		return;
-	}
-	for(i = 0;i<cgs.domination_points_count;i++) {
-		cgs.domination_points_status[i] = atoi( CG_Argv(2+i) );
-	}
-}
-
-
-/*
-=================
-CG_ParseAttackingTeam
-
-=================
-*/
-static void CG_ParseAttackingTeam( void ) {
-	int temp;
-	temp = atoi( CG_Argv( 1 ) );
-	if(temp==TEAM_RED)
-		cgs.attackingTeam = TEAM_RED;
-	else if (temp==TEAM_BLUE)
-		cgs.attackingTeam = TEAM_BLUE;
-	else
-		cgs.attackingTeam = TEAM_NONE; //Should never happen.
-}
-
-/*
-=================
 CG_ParseTeamInfo
 
 =================
@@ -242,11 +147,6 @@ void CG_ParseServerinfo( void ) {
 
 	info = CG_ConfigString( CS_SERVERINFO );
 	cgs.gametype = atoi( Info_ValueForKey( info, "g_gametype" ) );
-	//By default do as normal:
-	cgs.ffa_gt = 0;
-	//See if ffa gametype
-	if(cgs.gametype == GT_LMS)	
-		cgs.ffa_gt = 1;
 	trap_Cvar_Set("g_gametype", va("%i", cgs.gametype));
 	cgs.dmflags = atoi( Info_ValueForKey( info, "dmflags" ) );
 	cgs.teamflags = atoi( Info_ValueForKey( info, "teamflags" ) );
@@ -254,23 +154,12 @@ void CG_ParseServerinfo( void ) {
 	cgs.capturelimit = atoi( Info_ValueForKey( info, "capturelimit" ) );
 	cgs.timelimit = atoi( Info_ValueForKey( info, "timelimit" ) );
 	cgs.maxclients = atoi( Info_ValueForKey( info, "sv_maxclients" ) );
-	cgs.roundtime = atoi( Info_ValueForKey( info, "elimination_roundtime" ) );
-	cgs.instantgib = atoi( Info_ValueForKey( info, "g_instantgib" ) );
-	cgs.rockets = atoi( Info_ValueForKey( info, "g_rockets" ) );
-	cgs.lms_mode = atoi( Info_ValueForKey( info, "g_lms_mode" ) );
-	cgs.oneway = atoi( Info_ValueForKey( info, "elimination_ctf_oneway" ) )? qtrue : qfalse;
 	mapname = Info_ValueForKey( info, "mapname" );
 	Com_sprintf( cgs.mapname, sizeof( cgs.mapname ), "maps/%s.bsp", mapname );
 	Q_strncpyz( cgs.redTeam, Info_ValueForKey( info, "g_redTeam" ), sizeof(cgs.redTeam) );
 	trap_Cvar_Set("g_redTeam", cgs.redTeam);
 	Q_strncpyz( cgs.blueTeam, Info_ValueForKey( info, "g_blueTeam" ), sizeof(cgs.blueTeam) );
 	trap_Cvar_Set("g_blueTeam", cgs.blueTeam);
-
-//unlagged - server options
-	// we'll need this for deciding whether or not to predict weapon effects
-	cgs.delagHitscan = atoi( Info_ValueForKey( info, "g_delagHitscan" ) );
-	trap_Cvar_Set("g_delagHitscan", va("%i", cgs.delagHitscan));
-//unlagged - server options
 }
 
 /*
@@ -316,7 +205,7 @@ void CG_SetConfigValues( void ) {
 	cgs.scores1 = atoi( CG_ConfigString( CS_SCORES1 ) );
 	cgs.scores2 = atoi( CG_ConfigString( CS_SCORES2 ) );
 	cgs.levelStartTime = atoi( CG_ConfigString( CS_LEVEL_START_TIME ) );
-	if( cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION || cgs.gametype == GT_DOUBLE_D) {
+	if( cgs.gametype == GT_CTF ) {
 		s = CG_ConfigString( CS_FLAGSTATUS );
 		cgs.redflag = s[0] - '0';
 		cgs.blueflag = s[1] - '0';
@@ -442,7 +331,7 @@ static void CG_ConfigStringModified( voi
 		CG_NewClientInfo( num - CS_PLAYERS );
 		CG_BuildSpectatorString();
 	} else if ( num == CS_FLAGSTATUS ) {
-		if( cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION || cgs.gametype == GT_DOUBLE_D) {
+		if( cgs.gametype == GT_CTF ) {
 			// format is rb where its red/blue, 0 is at base, 1 is taken, 2 is dropped
 			cgs.redflag = str[0] - '0';
 			cgs.blueflag = str[1] - '0';
@@ -1159,31 +1048,6 @@ static void CG_ServerCommand( void ) {
 		return;
 	}
 
-	if ( !strcmp( cmd, "ddtaken" ) ) {
-		CG_ParseDDtimetaken();
-		return;
-	}
-
-	if ( !strcmp( cmd, "dompointnames" ) ) {
-		CG_ParseDomPointNames();
-		return;
-	}
-
-	if ( !strcmp( cmd, "domStatus" ) ) {
-		CG_ParseDomStatus();
-		return;
-	}
-
-	if ( !strcmp( cmd, "elimination" ) ) {
-		CG_ParseElimination();
-		return;
-	}
-
-	if ( !strcmp( cmd, "attackingteam" ) ) {
-		CG_ParseAttackingTeam();
-		return;
-	}
-
 	if ( !strcmp( cmd, "tinfo" ) ) {
 		CG_ParseTeamInfo();
 		return;
Only in ioquake3svn1438/code/cgame: cg_servercmds.orig.c
diff -upr ioquake3svn1438/code/cgame/cg_snapshot.c ioquake3serverFix/code/cgame/cg_snapshot.c
--- ioquake3svn1438/code/cgame/cg_snapshot.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_snapshot.c	2008-08-09 11:28:23.000000000 -0500
@@ -55,9 +55,7 @@ CG_TransitionEntity
 cent->nextState is moved to cent->currentState and events are fired
 ===============
 */
-//unlagged - early transitioning
-// used to be static, now needed to transition entities from within cg_ents.c
-void CG_TransitionEntity( centity_t *cent ) {
+static void CG_TransitionEntity( centity_t *cent ) {
 	cent->currentState = cent->nextState;
 	cent->currentValid = qtrue;
 
Only in ioquake3svn1438/code/cgame: cg_unlagged.c
diff -upr ioquake3svn1438/code/cgame/cg_view.c ioquake3serverFix/code/cgame/cg_view.c
--- ioquake3svn1438/code/cgame/cg_view.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_view.c	2008-08-09 11:28:23.000000000 -0500
@@ -234,8 +234,7 @@ static void CG_OffsetThirdPersonView( vo
 	VectorCopy( cg.refdefViewAngles, focusAngles );
 
 	// if dead, look at killer
-	if ( (cg.predictedPlayerState.stats[STAT_HEALTH] <= 0) && 
-				(cgs.gametype !=GT_ELIMINATION && cgs.gametype !=GT_CTF_ELIMINATION && cgs.gametype !=GT_LMS) ) {
+	if ( cg.predictedPlayerState.stats[STAT_HEALTH] <= 0 ) {
 		focusAngles[YAW] = cg.predictedPlayerState.stats[STAT_DEAD_YAW];
 		cg.refdefViewAngles[YAW] = cg.predictedPlayerState.stats[STAT_DEAD_YAW];
 	}
@@ -340,7 +339,7 @@ static void CG_OffsetFirstPersonView( vo
 	VectorAdd (angles, cg.kick_angles, angles);
 
 	// add angles based on damage kick
-	if ( cg.damageTime && cgs.gametype!=GT_ELIMINATION && cgs.gametype!=GT_CTF_ELIMINATION && cgs.gametype!=GT_LMS) {
+	if ( cg.damageTime ) {
 		ratio = cg.time - cg.damageTime;
 		if ( ratio < DAMAGE_DEFLECT_TIME ) {
 			ratio /= DAMAGE_DEFLECT_TIME;
diff -upr ioquake3svn1438/code/cgame/cg_weapons.c ioquake3serverFix/code/cgame/cg_weapons.c
--- ioquake3svn1438/code/cgame/cg_weapons.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_weapons.c	2008-08-09 11:28:23.000000000 -0500
@@ -173,7 +173,7 @@ static void CG_ShotgunEjectBrass( centit
 }
 
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 /*
 ==========================
 CG_NailgunEjectBrass
@@ -204,7 +204,7 @@ static void CG_NailgunEjectBrass( centit
 	// use the optimized local entity add
 	smoke->leType = LE_SCALE_FADE;
 }
-//#endif
+#endif
 
 
 /*
@@ -384,7 +384,7 @@ static void CG_RocketTrail( centity_t *e
 
 }
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 /*
 ==========================
 CG_NailTrail
@@ -451,7 +451,7 @@ static void CG_NailTrail( centity_t *ent
 	}
 
 }
-//#endif
+#endif
 
 /*
 ==========================
@@ -709,7 +709,7 @@ void CG_RegisterWeapon( int weaponNum ) 
 		weaponInfo->firingSound = trap_S_RegisterSound( "sound/weapons/melee/fstrun.wav", qfalse );
 		break;
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	case WP_CHAINGUN:
 		weaponInfo->firingSound = trap_S_RegisterSound( "sound/weapons/vulcan/wvulfire.wav", qfalse );
 		weaponInfo->loopFireSound = qtrue;
@@ -721,7 +721,7 @@ void CG_RegisterWeapon( int weaponNum ) 
 		weaponInfo->ejectBrassFunc = CG_MachineGunEjectBrass;
 		cgs.media.bulletExplosionShader = trap_R_RegisterShader( "bulletExplosion" );
 		break;
-//#endif
+#endif
 
 	case WP_MACHINEGUN:
 		MAKERGB( weaponInfo->flashDlightColor, 1, 1, 0 );
@@ -754,7 +754,7 @@ void CG_RegisterWeapon( int weaponNum ) 
 		cgs.media.rocketExplosionShader = trap_R_RegisterShader( "rocketExplosion" );
 		break;
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	case WP_PROX_LAUNCHER:
 		weaponInfo->missileModel = trap_R_RegisterModel( "models/weaphits/proxmine.md3" );
 		weaponInfo->missileTrailFunc = CG_GrenadeTrail;
@@ -764,7 +764,7 @@ void CG_RegisterWeapon( int weaponNum ) 
 		weaponInfo->flashSound[0] = trap_S_RegisterSound( "sound/weapons/proxmine/wstbfire.wav", qfalse );
 		cgs.media.grenadeExplosionShader = trap_R_RegisterShader( "grenadeExplosion" );
 		break;
-//#endif
+#endif
 
 	case WP_GRENADE_LAUNCHER:
 		weaponInfo->missileModel = trap_R_RegisterModel( "models/ammo/grenade1.md3" );
@@ -776,7 +776,7 @@ void CG_RegisterWeapon( int weaponNum ) 
 		cgs.media.grenadeExplosionShader = trap_R_RegisterShader( "grenadeExplosion" );
 		break;
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	case WP_NAILGUN:
 		weaponInfo->ejectBrassFunc = CG_NailgunEjectBrass;
 		weaponInfo->missileTrailFunc = CG_NailTrail;
@@ -787,7 +787,7 @@ void CG_RegisterWeapon( int weaponNum ) 
 		MAKERGB( weaponInfo->flashDlightColor, 1, 0.75f, 0 );
 		weaponInfo->flashSound[0] = trap_S_RegisterSound( "sound/weapons/nailgun/wnalfire.wav", qfalse );
 		break;
-//#endif
+#endif
 
 	case WP_PLASMAGUN:
 //		weaponInfo->missileModel = cgs.media.invulnerabilityPowerupModel;
@@ -983,28 +983,11 @@ static void CG_LightningBolt( centity_t 
 
 	memset( &beam, 0, sizeof( beam ) );
 
-//unlagged - attack prediction #1
-	// if the entity is us, unlagged is on server-side, and we've got it on for the lightning gun
-	if ( (cent->currentState.number == cg.predictedPlayerState.clientNum) && cgs.delagHitscan &&
-			( cg_delag.integer & 1 || cg_delag.integer & 8 ) ) {
-		// always shoot straight forward from our current position
-		AngleVectors( cg.predictedPlayerState.viewangles, forward, NULL, NULL );
-		VectorCopy( cg.predictedPlayerState.origin, muzzlePoint );
-	}
-	else
-//unlagged - attack prediction #1
-
 	// CPMA  "true" lightning
 	if ((cent->currentState.number == cg.predictedPlayerState.clientNum) && (cg_trueLightning.value != 0)) {
 		vec3_t angle;
 		int i;
 
-//unlagged - true lightning
-		// might as well fix up true lightning while we're at it
-		vec3_t viewangles;
-		VectorCopy( cg.predictedPlayerState.viewangles, viewangles );
-//unlagged - true lightning
-
 		for (i = 0; i < 3; i++) {
 			float a = cent->lerpAngles[i] - cg.refdefViewAngles[i];
 			if (a > 180) {
@@ -1024,12 +1007,8 @@ static void CG_LightningBolt( centity_t 
 		}
 
 		AngleVectors(angle, forward, NULL, NULL );
-//unlagged - true lightning
-//		VectorCopy(cent->lerpOrigin, muzzlePoint );
+		VectorCopy(cent->lerpOrigin, muzzlePoint );
 //		VectorCopy(cg.refdef.vieworg, muzzlePoint );
-		// *this* is the correct origin for true lightning
-		VectorCopy(cg.predictedPlayerState.origin, muzzlePoint );
-//unlagged - true lightning
 	} else {
 		// !CPMA
 		AngleVectors( cent->lerpAngles, forward, NULL, NULL );
@@ -1195,11 +1174,11 @@ static float	CG_MachinegunSpinAngle( cen
 		cent->pe.barrelTime = cg.time;
 		cent->pe.barrelAngle = AngleMod( angle );
 		cent->pe.barrelSpinning = !!(cent->currentState.eFlags & EF_FIRING);
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		if ( cent->currentState.weapon == WP_CHAINGUN && !cent->pe.barrelSpinning ) {
 			trap_S_StartSound( NULL, cent->currentState.number, CHAN_WEAPON, trap_S_RegisterSound( "sound/weapons/vulcan/wvulwind.wav", qfalse ) );
 		}
-//#endif
+#endif
 	}
 
 	return angle;
@@ -1492,7 +1471,6 @@ void CG_DrawWeaponSelect( void ) {
 	int		x, y, w;
 	char	*name;
 	float	*color;
-	vec4_t	realColor; 
 
 	// don't display if dead
 	if ( cg.predictedPlayerState.stats[STAT_HEALTH] <= 0 ) {
@@ -1500,16 +1478,6 @@ void CG_DrawWeaponSelect( void ) {
 	}
 
 	color = CG_FadeColor( cg.weaponSelectTime, WEAPON_SELECT_TIME );
-
-	//Elimination: Always show weapon bar
-	if(cg_alwaysWeaponBar.integer) {
-		realColor[0] = 1.0;
-		realColor[1] = 1.0;
-		realColor[2] = 1.0;
-		realColor[3] = 1.0;
-		color = realColor;
-	}
-
 	if ( !color ) {
 		return;
 	}
@@ -1727,9 +1695,6 @@ void CG_FireWeapon( centity_t *cent ) {
 	int				c;
 	weaponInfo_t	*weap;
 
-	if((cgs.gametype == GT_ELIMINATION || cgs.gametype == GT_CTF_ELIMINATION) && cgs.roundStartTime>=cg.time)
-		return; //if we havn't started in ELIMINATION then do not fire
-
 	ent = &cent->currentState;
 	if ( ent->weapon == WP_NONE ) {
 		return;
@@ -1774,10 +1739,6 @@ void CG_FireWeapon( centity_t *cent ) {
 	if ( weap->ejectBrassFunc && cg_brassTime.integer > 0 ) {
 		weap->ejectBrassFunc( cent );
 	}
-
-//unlagged - attack prediction #1
-	CG_PredictWeaponEffects( cent );
-//unlagged - attack prediction #1
 }
 
 
@@ -1820,7 +1781,7 @@ void CG_MissileHitWall( int weapon, int 
 
 	switch ( weapon ) {
 	default:
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	case WP_NAILGUN:
 		if( soundType == IMPACTSOUND_FLESH ) {
 			sfx = cgs.media.sfx_nghitflesh;
@@ -1832,7 +1793,7 @@ void CG_MissileHitWall( int weapon, int 
 		mark = cgs.media.holeMarkShader;
 		radius = 12;
 		break;
-//#endif
+#endif
 	case WP_LIGHTNING:
 		// no explosion at LG impact, it is added with the beam
 		r = rand() & 3;
@@ -1846,7 +1807,7 @@ void CG_MissileHitWall( int weapon, int 
 		mark = cgs.media.holeMarkShader;
 		radius = 12;
 		break;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	case WP_PROX_LAUNCHER:
 		mod = cgs.media.dishFlashModel;
 		shader = cgs.media.grenadeExplosionShader;
@@ -1856,7 +1817,7 @@ void CG_MissileHitWall( int weapon, int 
 		light = 300;
 		isSprite = qtrue;
 		break;
-//#endif
+#endif
 	case WP_GRENADE_LAUNCHER:
 		mod = cgs.media.dishFlashModel;
 		shader = cgs.media.grenadeExplosionShader;
@@ -1916,7 +1877,7 @@ void CG_MissileHitWall( int weapon, int 
 		radius = 4;
 		break;
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	case WP_CHAINGUN:
 		mod = cgs.media.bulletFlashModel;
 		if( soundType == IMPACTSOUND_FLESH ) {
@@ -1939,7 +1900,7 @@ void CG_MissileHitWall( int weapon, int 
 
 		radius = 8;
 		break;
-//#endif
+#endif
 
 	case WP_MACHINEGUN:
 		mod = cgs.media.bulletFlashModel;
@@ -2007,11 +1968,11 @@ void CG_MissileHitPlayer( int weapon, ve
 	switch ( weapon ) {
 	case WP_GRENADE_LAUNCHER:
 	case WP_ROCKET_LAUNCHER:
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	case WP_NAILGUN:
 	case WP_CHAINGUN:
 	case WP_PROX_LAUNCHER:
-//#endif
+#endif
 		CG_MissileHitWall( weapon, 0, origin, dir, IMPACTSOUND_FLESH );
 		break;
 	default:
@@ -2087,9 +2048,7 @@ Perform the same traces the server did t
 hit splashes
 ================
 */
-//unlagged - attack prediction
-// made this non-static for access from cg_unlagged.c
-void CG_ShotgunPattern( vec3_t origin, vec3_t origin2, int seed, int otherEntNum ) {
+static void CG_ShotgunPattern( vec3_t origin, vec3_t origin2, int seed, int otherEntNum ) {
 	int			i;
 	float		r, u;
 	vec3_t		end;
diff -upr ioquake3svn1438/code/client/cl_main.c ioquake3serverFix/code/client/cl_main.c
--- ioquake3svn1438/code/client/cl_main.c	2008-08-05 14:57:04.000000000 -0500
+++ ioquake3serverFix/code/client/cl_main.c	2008-08-09 15:22:37.000000000 -0500
@@ -3240,6 +3240,7 @@ static void CL_SetServerInfo(serverInfo_
 			server->maxPing = atoi(Info_ValueForKey(info, "maxping"));
 			server->g_humanplayers = atoi(Info_ValueForKey(info, "g_humanplayers"));
 			server->g_needpass = atoi(Info_ValueForKey(info, "g_needpass"));
+			//server->punkbuster = atoi(Info_ValueForKey(info, "punkbuster"));
 		}
 		server->ping = ping;
 	}
@@ -3357,6 +3358,7 @@ void CL_ServerInfoPacket( netadr_t from,
 	cls.localServers[i].game[0] = '\0';
 	cls.localServers[i].gameType = 0;
 	cls.localServers[i].netType = from.type;
+	//cls.localServers[i].punkbuster = 0;
 									 
 	Q_strncpyz( info, MSG_ReadString( msg ), MAX_INFO_STRING );
 	if (strlen(info)) {
Only in ioquake3serverFix/code/client: cl_main.c.orig
diff -upr ioquake3svn1438/code/client/snd_openal.c ioquake3serverFix/code/client/snd_openal.c
--- ioquake3svn1438/code/client/snd_openal.c	2008-08-05 14:48:55.000000000 -0500
+++ ioquake3serverFix/code/client/snd_openal.c	2008-08-09 15:22:37.000000000 -0500
@@ -1969,7 +1969,7 @@ qboolean S_AL_Init( soundInterface_t *si
 
 	// New console variables
 	s_alPrecache = Cvar_Get( "s_alPrecache", "1", CVAR_ARCHIVE );
-	s_alGain = Cvar_Get( "s_alGain", "0.4", CVAR_ARCHIVE );
+	s_alGain = Cvar_Get( "s_alGain", "1.0", CVAR_ARCHIVE );
 	s_alSources = Cvar_Get( "s_alSources", "96", CVAR_ARCHIVE );
 	s_alDopplerFactor = Cvar_Get( "s_alDopplerFactor", "1.0", CVAR_ARCHIVE );
 	s_alDopplerSpeed = Cvar_Get( "s_alDopplerSpeed", "2200", CVAR_ARCHIVE );
diff -upr ioquake3svn1438/code/game/ai_chat.c ioquake3serverFix/code/game/ai_chat.c
--- ioquake3svn1438/code/game/ai_chat.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/ai_chat.c	2008-08-09 11:28:21.000000000 -0500
@@ -53,7 +53,7 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #include "match.h"				//string matching types and vars
 
 // for the voice chats
-#ifdef MISSIONPACK // bk001205
+#ifdef MISSIONPACK
 #include "../../ui/menudef.h"
 #endif
 
@@ -293,11 +293,10 @@ char *BotWeaponNameForMeansOfDeath(int m
 		case MOD_LIGHTNING: return "Lightning Gun";
 		case MOD_BFG:
 		case MOD_BFG_SPLASH: return "BFG10K";
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		case MOD_NAIL: return "Nailgun";
 		case MOD_CHAINGUN: return "Chaingun";
 		case MOD_PROXIMITY_MINE: return "Proximity Launcher";
-#ifdef MISSIONPACK
 		case MOD_KAMIKAZE: return "Kamikaze";
 		case MOD_JUICED: return "Prox mine";
 #endif
@@ -314,7 +313,7 @@ BotRandomWeaponName
 char *BotRandomWeaponName(void) {
 	int rnd;
 
-#if 1 //MISSIONPACK
+#ifdef MISSIONPACK
 	rnd = random() * 11.9;
 #else
 	rnd = random() * 8.9;
@@ -328,11 +327,11 @@ char *BotRandomWeaponName(void) {
 		case 5: return "Plasmagun";
 		case 6: return "Railgun";
 		case 7: return "Lightning Gun";
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		case 8: return "Nailgun";
 		case 9: return "Chaingun";
 		case 10: return "Proximity Launcher";
-//#endif
+#endif
 		default: return "BFG10K";
 	}
 }
